Trusted by the world’s leading companies
Aperçu
L’Angular TreeGrid est un composant riche en fonctionnalités permettant de visualiser efficacement des données auto-référentielles et hiérarchiques sous forme tabulaire (structure en arbre). Son riche ensemble de fonctionnalités comprend : liaison de données, virtualisation, édition, tri, recherche, filtrage, défilement infini, pagination, lignes/colonnes figées, exportation vers plusieurs formats, agrégation de lignes, et plus.
Pourquoi choisir Syncfusion Essential Studio® Angular Tree Grid ?
Haute performance
Affiche les données de manière hiérarchique ; sa conception optimisée offre de hautes performances et peut charger des millions d’enregistrements en quelques secondes.
Liaison de données fluide
Liez les données de manière fluide avec diverses sources de données locales et distantes telles que JSON, OData, WCF et services Web RESTful à l’aide d’un gestionnaire de données.
Grille auto-référentielle et hiérarchique
L’Angular TreeGrid est conçu pour visualiser des données auto-référentielles et hiérarchiques sous forme tabulaire, ce qui met en évidence les relations entre enregistrements parents et enfants.
Édition flexible
L’Angular TreeGrid prend en charge les opérations Create, Read, Update et Delete (CRUD) avec des données observables. Il édite des tableaux JSON ou des services de données distants via le gestionnaire de données.
S’adapte à toutes les résolutions
Le Tree Grid dispose d’une mise en page hautement responsive et d’un design optimisé pour ordinateurs de bureau, écrans tactiles et smartphones. Il fonctionne bien sur tous les appareils mobiles sous iOS, Android ou Windows.
Créer vos propres modèles
Avec les templates, les utilisateurs peuvent créer une interface personnalisée dans l’Angular TreeGrid selon les besoins de leur application en utilisant une large gamme d’options de template.
Thèmes attractifs et personnalisables
Design moderne avec plus de 5 thèmes intégrés tels que Fluent, Tailwind CSS, Bootstrap, Material, Fabric, etc. Utilisez l’outil en ligne Theme Studio pour personnaliser facilement les thèmes de l’Angular TreeGrid.
Globalisation et localisation
Permet aux utilisateurs de différentes régions d’utiliser le Tree Grid en formatant dates, devises et nombres selon leurs préférences.
Exemple de code Angular Tree Grid
Commencez facilement avec l’Angular TreeGrid (Tree Table) en quelques lignes de HTML et TypeScript, comme démontré ci‑dessous. Consultez également notre Exemple Angular Tree Grid qui montre comment rendre et configurer un Tree Grid dans Angular.
<ejs-treegrid [dataSource]='data' [treeColumnIndex]='1' height='350' childMapping='subtasks'>
<e-columns>
<e-column field='taskID' headerText='Task ID' textAlign='Right' width=90></e-column>
<e-column field='taskName' headerText='Task Name' textAlign='Left' width=180></e-column>
<e-column field='startDate' headerText='Start Date' textAlign='Right' format='yMd' width=90><e-column>
<e-column field='duration' headerText='Duration' textAlign='Right' width=80></e-column>
</e-columns>
</ejs-treegrid>import { Component, OnInit } from '@angular/core';
import { sampleData } from './datasource';
@Component({
selector: 'ej2-treegrid-container',
templateUrl: 'default.html'
})
export class DefaultComponent implements OnInit {
public data: Object[] = [];
ngOnInit(): void {
this.data = sampleData;
}
}Indicateur de chargement (squelette)
Le Tree Grid affiche un effet de scintillement comme indicateur de chargement lors de la récupération et de la liaison des données pendant le rendu initial, le rafraîchissement ou après des actions du grid comme le tri, le filtrage, etc. Le Tree Grid propose deux types d’effets : spinner et shimmer.


Colonnes
Les colonnes définissent le schéma d’une source de données dans l’Angular TreeGrid. Les fonctionnalités incluent le formatage, la définition des colonnes, le retour à la ligne du texte, le sélecteur de colonnes, le menu de colonnes, le réordonnancement des colonnes, et d’autres fonctionnalités importantes.
Pagination
La pagination permet d’afficher un segment de données depuis la source de données assignée. L’Angular TreeGrid propose une interface de pagination intégrée avec des options de personnalisation complètes. Il dispose également d’un mode de pagination à la demande pour une récupération efficace des données depuis des services Web distants.


Tri
L’Angular TreeGrid permet aux utilisateurs de trier une colonne en cliquant simplement sur l’en-tête. Un Ctrl + clic sur l’en-tête effectue un tri multiple. Triez les données par ordre croissant ou décroissant.
Filtrage
Le filtrage aide à afficher des enregistrements spécifiques ou liés qui correspondent à un critère donné. Il prend en charge divers types de filtres, y compris des filtres puissants de type Excel. Le filtrage dans l’Angular TreeGrid permet aux utilisateurs de choisir des types de filtres appropriés, de définir leur propre logique de filtrage et de personnaliser l’interface de filtrage selon les besoins de l’application. Le filtrage peut également prendre en compte les enregistrements parents ou enfants associés.


Sélection
L’Angular TreeGrid permet de sélectionner des lignes ou des cellules. Une ou plusieurs lignes/cellules peuvent être sélectionnées en maintenant Ctrl ou Command, ou de manière programmatique.

Édition
L’Angular TreeGrid prend en charge intégralement les opérations Create, Read, Update et Delete (CRUD). En complément des composants d’édition intégrés pour modifier une valeur de colonne particulière, le support des templates permet aux utilisateurs de créer des composants éditeurs personnalisés adaptés à leurs besoins. Les opérations d’édition s’effectuent avec des collections JSON ou via des services de données distants à l’aide du gestionnaire de données.
Glisser‑déposer de lignes
L’Angular TreeGrid permet aux utilisateurs de glisser‑déposer des lignes au sein du même Tree Grid ou d’un autre. Cette fonctionnalité est particulièrement utile pour réorganiser les données et offrir une expérience utilisateur plus intuitive.


Agrégation
Les agrégats pour les valeurs de colonne peuvent être affichés facilement grâce à la fonctionnalité d’agrégation. Les agrégats peuvent être personnalisés pour afficher leur valeur à chaque niveau hiérarchique à l’aide de types de synthèse prédéfinis.
Colonnes figées
Les colonnes figées sont visibles à gauche, à droite ou des deux côtés de l’Angular TreeGrid et rendent le reste du contenu du tableau déroulable. Elles sont principalement utilisées pour comparer des valeurs de cellules.

Recherche
Vous pouvez rechercher des enregistrements à l’aide de la méthode de recherche. Intégrez une zone de texte de recherche dans la barre d’outils du Angular TreeGrid en ajoutant des éléments de recherche.
Info-bulle personnalisée
Le composant Angular TreeGrid vous permet de définir des info-bulles pour les cellules du tree grid. Survolez les nœuds de l’arbre pour afficher le texte de l’info-bulle.


En-têtes persistants
Gardez les en-têtes de colonne toujours visibles lors du défilement des données. L’en-tête persistant fournit un contexte constant, ce qui facilite l’interprétation et l’analyse de grands ensembles de données.
Exportation

Export vers Excel, PDF, CSV
Exportez facilement le Tree Grid HTML5 dans divers formats tels qu’Excel, PDF ou CSV. Les utilisateurs peuvent également personnaliser le document exporté de manière programmatique.

Impression
Les utilisateurs peuvent imprimer les données soit via l’option d’impression de la barre d’outils, soit de manière programmatique. Imprimez toutes les lignes d’un Angular TreeGrid indépendamment du nombre de pages, ou imprimez uniquement la page actuellement affichée.
Fonctionnalités supplémentaires

Hauteur des lignes
La hauteur des lignes est un facteur majeur pour l’affichage du nombre d’enregistrements dans la zone de visualisation, et elle est facilement personnalisable selon les exigences UI de l’application. Il est également possible de définir la hauteur des lignes de manière conditionnelle.

Copier dans le presse‑papier
Le presse‑papier offre une option pour copier les données des lignes ou cellules sélectionnées. Utilisez les combinaisons Ctrl+C et Ctrl+Shift+H pour copier les données avec ou sans en‑têtes, respectivement.

Menu contextuel
Le menu contextuel améliore les actions utilisateur dans l’Angular TreeGrid via un menu popup. Il apparaît lors d’un clic droit sur une cellule, un en‑tête ou le pager. En plus des éléments de menu par défaut intégrés, il permet d’ajouter des éléments de menu contextuel personnalisés.

Largeur et hauteur
Permet de modifier la taille de l’Angular TreeGrid en définissant les propriétés width et height. Des barres de défilement horizontales et verticales apparaîtront lorsque le contenu déborde de l’élément. Pour que l’Angular TreeGrid remplisse son conteneur parent, définissez simplement height et width sur 100%.

En‑têtes empilés
Les en‑têtes empilés permettent de grouper et de visualiser les en‑têtes de colonnes de manière empilée. Il n’y a pas de limite au nombre de colonnes pouvant être empilées. L’utilisateur peut effectuer toutes les actions de l’Angular TreeGrid même lorsque les colonnes sont empilées.
Accessibilité

Navigation au clavier
Le Tree Grid garantit que chaque cellule est accessible au clavier. Les principales fonctionnalités telles que l’expansion/repli des lignes enfants, le tri, la sélection et l’édition peuvent être effectuées uniquement via des commandes clavier ; aucune interaction souris n’est requise. Cela facilite la création d’applications hautement accessibles avec ce composant.

Lecteurs d’écran
L’Angular TreeGrid offre un support complet WAI‑ARIA pour l’accessibilité. Son interface comprend des éléments visuels à fort contraste, offrant une meilleure expérience aux personnes malvoyantes. De plus, les descriptions UI pertinentes sont facilement accessibles via des technologies d’assistance telles que les lecteurs d’écran.

Droite à gauche (RTL)
L’affichage de droite à gauche permet d’afficher le texte et la mise en page de l’Angular TreeGrid de droite à gauche. Cela améliore l’expérience utilisateur et l’accessibilité pour les langues RTL.
Compatibilité des versions Angular
Grâce aux améliorations continues des versions d’Angular, l’Angular Tree Grid est maintenu à jour pour être compatible avec les versions à partir d’Angular 4 jusqu’à la dernière version.

Autres frameworks pris en charge
Le Tree Grid est disponible pour les frameworks Blazor, React, JavaScript et Vue. Découvrez ses options spécifiques à chaque plateforme via les liens ci‑dessous :
Navigateurs pris en charge
L’Angular Tree Grid fonctionne correctement avec tous les navigateurs web modernes, notamment Chrome, Firefox, Edge, Safari et Opera.

Vous ne savez pas comment créer votre premier Angular Tree Grid ? Nos vidéos tutoriels et la documentation peuvent vous aider.
Regarder maintenant Lire maintenantPlus de 140+ composants d'interface utilisateur Angular
Foire aux questions
Pourquoi choisir Syncfusion Essential Studio® Angular Tree Grid ?
Charger de grandes quantités de données en chargeant dynamiquement les enfants à la demande.
Inclure des interactions UI flexibles comme l’extension et le repli des enregistrements parents, l’édition via dialogue, et plus encore.
Liaison de données flexible avec prise en charge des sources locales et distantes telles que JSON, services RESTful, OData et WCF via le gestionnaire de données.
- L’un des meilleurs Tree Grid pour Angular du marché, offrant une interface riche en fonctionnalités.
- Apparence attrayante grâce à des thèmes intégrés tels que Fabric, Bootstrap, Material, etc.
- Configuration et API simples.
- Prend en charge tous les navigateurs modernes.
- Compatible tactile et responsive.
Ressources d’apprentissage étendues telles que des démos, la documentation et des vidéos pour apprendre rapidement et commencer avec l’Angular Tree Grid.
Où puis‑je trouver la démo du Syncfusion Angular Tree Grid ?
Vous pouvez consulter notre démo Angular Tree Grid, qui montre comment rendre et configurer le TreeGrid.
Puis-je télécharger et utiliser Syncfusion Angular Tree Grid gratuitement ?
Non, il s’agit d’un produit commercial nécessitant une licence payante. Toutefois, une licence communautaire gratuite est disponible pour les entreprises et personnes dont l’organisation a un chiffre d’affaires annuel inférieur à 1 million USD et cinq développeurs ou moins.
Comment démarrer avec Syncfusion Angular Tree Grid ?
Un bon point de départ est notre documentation complète getting started.
Nos clients nous aiment
Recompenses
L’excellence—c’est une chose de l’affirmer, mais cela signifie davantage lorsque les autres la reconnaissent. Syncfusion® est fier de détenir les récompenses de l'industrie suivantes.

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Aperçu

Le React TreeGrid est un contrôle riche en fonctionnalités utilisé pour visualiser efficacement des données auto-référentielles et hiérarchiques sous forme tabulaire (structure arborescente). Son large éventail de fonctions inclut : liaison de données, virtualisation, édition, tri, recherche, filtrage, défilement infini, pagination, lignes et colonnes figées, export vers plusieurs formats, agrégation de lignes, et bien plus.

Interagir avec le React TreeGrid en direct

Essayer la démo en direct

S’exécute dans le navigateur. Aucune installation requise.


Pourquoi choisir Syncfusion React Tree Grid ?

React Tree Grid High Performance image

Haute performance

Affichez les données de manière hiérarchique : sa conception optimisée offre de hautes performances et permet de charger des millions d’enregistrements en quelques secondes.

React Tree Grid Data Binding image

Liaison de données fluide

Liez les données de manière fluide avec diverses sources locales et distantes (JSON, OData, WCF, services RESTful) grâce au DataManager.

React Tree Grid Hierarchical Grid image

Grille hiérarchique auto-référentielle

React TreeGrid est conçu pour visualiser des données auto-référentielles et hiérarchiques au format tabulaire, affichant ainsi les relations entre enregistrements parents et enfants.

React Tree Grid Flexible Editing image

Édition flexible

React TreeGrid permet les opérations CRUD (create, read, update, delete) sur des données observables. Il peut éditer des tableaux JSON ou des services de données distants via le DataManager.

React Tree Grid Adapts To Any Resolution image

S’adapte à toutes les résolutions

Le TreeGrid dispose d’une mise en page très réactive et d’un design optimisé pour desktop, écrans tactiles et smartphones. Il fonctionne correctement sur iOS, Android et Windows.

React Tree Grid Template Designs image

Créez vos propres modèles

Grâce aux templates, les utilisateurs peuvent concevoir une interface personnalisée dans React TreeGrid selon leurs besoins via une large gamme d’options de template.

React Tree Grid Customizable Themes image

Thèmes modifiables et attrayants

Design moderne avec plus de 5 thèmes intégrés tels que Fluent, Tailwind CSS, Bootstrap, Material, Fabric, et autres. Utilisez l’outil Theme Studio en ligne pour personnaliser facilement les thèmes du TreeGrid.

React Tree Grid Global Local image

Globalisation et localisation

Permettre aux utilisateurs de différents paramètres régionaux d’utiliser le TreeGrid en formatant les dates, devises et nombres selon leurs préférences.


Exemple de code React TreeGrid

Démarrez facilement avec React TreeGrid en quelques lignes de code TSX comme illustré ci-dessous. Consultez également notre exemple React TreeGrid qui montre comment rendre et configurer un TreeGrid en React.

import { ColumnDirective, ColumnsDirective, TreeGridComponent } from '@syncfusion/ej2-react-treegrid';
import * as React from 'react';
import { sortData } from './data';
function App() {
    return <TreeGridComponent dataSource={sortData} treeColumnIndex={1} childMapping='subtasks'>
        <ColumnsDirective>
          <ColumnDirective field='Category' headerText='Category' width='150'/>
          <ColumnDirective field='orderName' headerText='Order Name' width='170'/>
          <ColumnDirective field='orderDate' headerText='Order Date' width='130' format='yMd' textAlign='Right' type='date' />
          <ColumnDirective field='price' headerText='Price' width='100' textAlign='Right' type='number' format='C0' />
        </ColumnsDirective>
    </TreeGridComponent>
};
export default App;

Indicateur de chargement React Tree Grid.

Skeleton loading indicator

L’indicateur de chargement (squelette) du TreeGrid affiche un effet « shimmer » pendant la récupération et la liaison des données lors du rendu initial, du rafraîchissement ou après des actions comme le tri et le filtrage. Le TreeGrid propose deux types d’effets : spinner et shimmer.


Colonnes

Les colonnes définissent le schéma de la source de données dans React TreeGrid. Les fonctionnalités incluent le formatage, la définition des colonnes, le retour à la ligne du texte, le sélecteur de colonnes, le menu de colonne, le réordonnancement des colonnes, et d’autres options importantes.

Colonne React Tree Grid.


Pagination React Tree Grid.

Pagination

Grâce à la pagination, il est possible d’afficher un segment de données à partir de la source assignée. React TreeGrid propose une interface de pagination intégrée avec des options de personnalisation complètes. Il propose aussi un mode de pagination à la demande pour récupérer efficacement des données depuis des services distants.


Tri

Le TreeGrid permet aux utilisateurs de trier une colonne en cliquant simplement sur l’en-tête. Un clic sur l’en-tête avec Ctrl permet le tri multiple. Triez les données en ordre ascendant ou descendant.

Tri React Tree Grid.


Filtrage React Tree Grid.

Filtrage

Le filtrage permet d’afficher des enregistrements spécifiques qui satisfont un critère donné. Il prend en charge divers types de filtres, y compris un filtre puissant de type Excel. Le filtre du TreeGrid permet de choisir des types de filtres adaptés, de définir une logique de filtrage personnalisée et de personnaliser l’interface de filtrage selon les besoins de l’application. Il est possible de filtrer en tenant compte des relations parents/enfants.


Sélection

React TreeGrid permet de sélectionner des lignes ou des cellules. Une ou plusieurs lignes/cellules peuvent être sélectionnées en maintenant Ctrl ou Command, ou de manière programmée.

Sélection de cellule React Tree Grid.


Lignes dans React Tree Grid.

Ligne

Les lignes dans le TreeGrid représentent chaque objet de données provenant de la source. Elles prennent en charge l’expansion/la réduction des lignes enfants, le réordonnancement des lignes, l’indentation/désindentation pour modifier le niveau hiérarchique, et bien d’autres fonctionnalités.


Édition

React TreeGrid offre un support complet pour les opérations CRUD (création, lecture, mise à jour, suppression). En complément des composants d’édition intégrés pour modifier une valeur de colonne, le support des templates permet de créer des éditeurs personnalisés adaptés aux besoins de l’application. Les opérations d’édition fonctionnent avec des collections JSON ou des services de données distants via le DataManager.

Édition React TreeGrid.


Glisser-déposer de lignes React TreeGrid.

Glisser-déposer des lignes

Le TreeGrid permet de glisser-déposer des lignes au sein du même TreeGrid ou entre TreeGrids différents. Cette fonctionnalité est particulièrement utile pour réorganiser les données et offrir une expérience utilisateur plus intuitive.


Agrégation

Les agrégations des valeurs de colonnes peuvent être affichées facilement via la fonctionnalité d’agrégat. Les agrégats peuvent être personnalisés pour afficher leur valeur à chaque niveau hiérarchique à l’aide de types de résumé prédéfinis.

Agrégation dans React TreeGrid.


React Tree Grid Freeze image

Colonnes figées

Les colonnes figées restent visibles à gauche, à droite ou des deux côtés du TreeGrid, rendant le contenu restant défilable. Elles sont principalement utilisées pour comparer des valeurs de cellules.


Recherche

Vous pouvez rechercher des enregistrements en utilisant la méthode de recherche. Intégrez une zone de texte de recherche dans la barre d’outils du React TreeGrid en ajoutant des éléments de recherche.

Recherche dans React TreeGrid.


React Tree Grid Adaptive Ui image

Mise en page adaptative

L’interface utilisateur du React Tree Grid est personalisée et repensée pour offrir une excellente présentation et une bonne utilisabilité sur les petits écrans. Les dialogues de filtrage, de recherche et d’édition s’adaptent à la taille de l’écran.


Infobulle personnalisée

Le composant React TreeGrid vous permet de définir des infobulles pour les cellules du treegrid. Survolez les nœuds de l’arbre pour afficher le texte de l’infobulle.

React TreeGrid avec infobulle.


Mise en page adaptative du React TreeGrid

En-têtes persistants

Gardez les en-têtes de colonne toujours visibles lors du défilement des données. L’en-tête persistant améliore l’utilisabilité en提供ant un contexte constant, ce qui facilite l’interprétation et l’analyse des grands ensembles de données.


Exportation

Exportation vers PDF, CSV et Excel dans React TreeGrid.

Export vers Excel, PDF, CSV

Exportez facilement le contrôle React TreeGrid dans différents formats de fichier tels qu’Excel, PDF ou CSV. Les utilisateurs peuvent également personnaliser programmatique-ment le document exporté.

Impression du contenu React TreeGrid.

Impression

Les utilisateurs peuvent imprimer les données via l’option d’impression de la barre d’outils ou de manière programmée. Imprimez toutes les lignes d’un React TreeGrid indépendamment du nombre de pages, ou imprimez uniquement la page affichée.


Fonctionnalités supplémentaires

React TreeGrid avec hauteur de ligne personnalisée.

Hauteur des lignes

La hauteur des lignes est un facteur important pour l’affichage du nombre d’enregistrements dans la zone visible, et elle est facilement personnalisable selon les exigences UI de l’application. Il est également possible de définir la hauteur des lignes de façon conditionnelle.

Copie dans le presse-papiers depuis React TreeGrid.

Copier dans le presse-papiers

Le presse-papiers offre la possibilité de copier les données des lignes ou cellules sélectionnées. Utilisez Ctrl+C et Ctrl+Shift+H pour copier les données avec ou sans en-têtes, respectivement.

React TreeGrid avec menu contextuel.

Le menu contextuel améliore les actions utilisateur dans React TreeGrid via un menu contextuel. Il apparaît lors d’un clic droit sur la cellule, l’en-tête ou le pager. Outre les éléments par défaut, il permet d’ajouter des éléments personnalisés.

Largeur et hauteur dans React TreeGrid.

Largeur et hauteur

Permet de modifier la taille du React TreeGrid en définissant les propriétés width et height. Des barres de défilement horizontales et verticales apparaîtront lorsque le contenu dépasse l’élément TreeGrid. Pour remplir le conteneur parent, définissez height et width à 100%.

React TreeGrid avec en-têtes empilés.

En-têtes empilés

Les en-têtes empilés permettent de regrouper et de visualiser les en-têtes de colonnes de manière empilée. Il n’y a pas de limite au nombre de colonnes empilables. L’utilisateur peut effectuer toutes les actions du TreeGrid même lorsque les colonnes sont empilées.


Accessibilité

Navigation au clavier dans React TreeGrid.

Le TreeGrid garantit que chaque cellule est accessible au clavier. Les fonctions principales comme l’expansion/réduction des lignes enfants, le tri, la sélection et l’édition peuvent être effectuées uniquement au clavier, sans souris. Cela aide à créer des applications très accessibles.

Support accessibilite et lecteur ecran pour le TreeGrid.

Lecteur d’écran

Le React TreeGrid dispose d’un support WAI-ARIA complet. Son interface inclut des éléments visuels à fort contraste, améliorant l’expérience des personnes malvoyantes. Les descriptions UI valides sont également accessibles via des technologies d’assistance comme les lecteurs d’écran.

Affichage de langues de droite à gauche dans React TreeGrid.

De droite à gauche (RTL)

Le rendu de droite à gauche permet d’afficher le texte et la mise en page du React TreeGrid de droite à gauche. Cela améliore l’expérience utilisateur et l’accessibilité pour les langues RTL.





Autres frameworks majeurs pris en charge

En plus de React, une intégration intégrée est disponible pour ces frameworks majeurs.

Découvrez l'écosystème complet de composants React de Syncfusion

Découvrez plus de 140+ composants d'interface utilisateur React, comprenant des contrôles éprouvés et prêts pour la production, ainsi que les derniers composants React purs conçus nativement pour le développement d'applications web modernes.

  • Composants React
  • Composants React purs

Foire aux questions

Le React TreeGrid de Syncfusion offre les fonctionnalités suivantes :

  • Charger de grandes quantités de données en chargeant dynamiquement les enfants à la demande.

  • Inclure des interactions UI flexibles comme l’expansion et la réduction des enregistrements parents, édition via dialog, et plus.

  • Liaison de données flexible (locales et distantes) : JSON, services RESTful, OData, WCF.

  • L’un des meilleurs TreeGrid React sur le marché offrant une UI riche en fonctionnalités.
  • Apparence UI attrayante avec des thèmes intégrés tels que Fabric, Bootstrap, etc.
  • Configuration et API simples.
  • Compatibilité avec tous les navigateurs modernes.
  • Convivial pour le tactile mobile et responsive.

  • Ressources d’apprentissage étendues comme les démos et la documentation pour démarrer rapidement.

Vous pouvez consulter notre démo React TreeGrid, qui montre comment rendre et configurer le TreeGrid.

Non, il s’agit d’un produit commercial nécessitant une licence payante. Une licence communautaire gratuite est toutefois disponible pour les organisations dont le chiffre d’affaires annuel est inférieur à 1 million USD et comptant cinq développeurs ou moins.

Un bon point de départ est notre documentation complète Getting Started.

Nos clients nous aiment

Grâce à un excellent ensemble d’outils et à une excellente équipe d’assistance, Syncfusion® réduit le temps de développement de ses clients.
Voici quelques-uns de leurs témoignages.

Voir de vraies histoires de réussite

Des développeurs du monde entier font confiance à Essential Studio de Syncfusion pour simplifier les projets complexes et accélérer leur livraison. Grâce à sa vaste bibliothèque de contrôles d’interface utilisateur, à ses SDK puissants et à son support fiable, Essential Studio aide les équipes à créer des applications prêtes pour l’entreprise en toute confiance.

Explorer des études de cas


Evalue par des utilisateurs du monde entier.

Transformez vos apps aujourd’hui avec version d’essai gratuite ici a
Télécharger l'essai gratuit Aucune carte de crédit requise.

Recompenses

L’excellence—c’est une chose de l’affirmer, mais cela signifie davantage lorsque les autres la reconnaissent. Syncfusion® est fier de détenir les récompenses de l'industrie suivantes.

Up arrow icon